#ifndef _FRAMSG_H_
#define _FRAMSG_H_

#include <stdarg.h>

extern char* MSG_LEVEL[];

void FMprintf(const char *o,const char *m,int w,const char *bl, ...);
void FMprintf_va(const char *o,const char *m,int w,const char *bl,va_list va);//inna nazwa bo bez tego nie odroznia parametru "string" od va_list i wywoluje zla wersje
void printFM(const char *bl,...); //dla leniwych - zastepuje printf (zmieniona nazwa chociaz tutaj "prawdopodobienstwo" konfliktu jest niewielkie, musialoby byc wywolanie malego printa z kilkoma parametrami odpowiednich typow zeby niechcacy wywolal sie duzy print)
void FramMessage(const char *o,const char *m,const char *bl,int w);

#define FMLV_DEBUG -1
#define FMLV_INFO 0
#define FMLV_WARN 1
#define FMLV_ERROR 2
#define FMLV_CRITICAL 3

/*
w: weight (importance) of a message
-1:debugging information, not needed for final users
0: information
1: warning or corrected error
2: uncorrected error. can cause malfunction
3: serious error, causes side effects. user should save what can be saved and restart the application
*/

#endif
